Subject: Re: [bug#34824] [PATCH staging] libdrm/Mesa Meson patch series

From: Rutger Helling <[email-masked]>
Date: Mon, 18 Mar 2019 10:44:41 +0100

Hi Marius,

thanks for the review.

So when I rebuilt my entire system a while back with these patches it
was only those few SDL packages that were affected. Unfortunately I have
no way of knowing for sure if it won't happen anywhere else, but it
does seem to be something contained to just SDL(1).

The packages fail with the following error if "mesa" isn't an explicit
input:

ld: cannot find -lGL
collect2: error: ld returned 1 exit status

WDYT? Should I go ahead and push these patches or do you have other
ideas?

On Sun, 17 Mar 2019 19:01:59 +0100
Marius Bakke <[email-masked]> wrote:

> Rutger Helling <[email-masked]> writes:
> 
> > Hey Guix,
> >
> > this patch series changes libdrm and Mesa to use Meson.
> >
> > A few notes to go along with the patches:
> >
> > Patch #1: Libdrm on Github mentions that Autotools is the legacy
> > build system for libdrm, so it seems better to change this to use
> > Meson. Patch #2: Mesa is gonna drop support for Autotools entirely
> > at some point in 2019, so it seems good to make the switch sooner
> > rather than later. I think I converted all the configure flags to
> > the new format. Patches #3-6: For some reason these packages now
> > need an explicit mesa input. I haven't run into other packages that
> > have this problem yet.  
> 
> The first two patches LGTM, but we should figure out why some packages
> need special attention and squash the fixes with the Mesa (or libdrm)
> change.
> 
> I see the other packages are SDL-related, maybe the libSDL pkg-config
> files are different after this change?  Or "sdl-config" prints
> something weird?
> 
> Thanks for looking after these packages :-)